Bug 183289 - Missing options from XMLDesc
Missing options from XMLDesc
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-27 17:48 EST by Diwaker Gupta
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-27 09:52:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Diwaker Gupta 2006-02-27 17:48:17 EST
Description of problem:

XMLDesc() does not support several attributes that are currently supported by
'xm create'. People who wish to move to libvirt would except a one to one
mapping. Some of the important things missing:

o MAC address (perhaps its checked in the repository, I haven't seen it yet though)
o IP address
o config file (perhaps not that important)
o arbitrary options for processing through the config file
o path to bootloader
o builder used
o acpi/pae/apic
o cpu_weight (not used currently, but potentially useful later)
o gateway, netmask, dhcp
o nfs_root, nfs_server

For details, see 'xm create -h'
Comment 1 Daniel Berrange 2006-08-23 09:05:17 EDT
libvirt version 0.1.4 addressing the following attributes detailed:

 * MAC address         (<mac> element within an <interface> element)
 * path to bootloader  (<bootloader> element)
 * builder used        (<loader> element within <os>)
 * apci/pae/apic       (<features> element, and <acpi>, <apic>, <pae> flags within)

Wrt to the rest:

 * IP address  -  something to be configured within the guest, either statically
or via DHCP
 * arbitrary options  - libvirt is only going to expose options which are
supportable long term. In addition options must be reasonably hypervisor
agnostic, so we're unable to expose arbitrary Xend config options directly.
 * cpu_weight  - some way of expressing schedular tunables is desirable & yet to
be addressed i nlibvirt
 * gateway, netmask, dhcp - these are all things  which should be configured
within the guest OS
 * nfs_root, nfs_server - not clear that these belong as Xen config params long
term - should already be possible to configure such things in elsewhere (eg with
bootloader command line args)
Comment 2 Daniel Veillard 2007-03-27 09:52:31 EDT
At 2.0.1, the new networking support should allow the remaining needs 
for networking configurability (beyond what xm create allows).
Cpu weight is supported in libvirt API

W.r.t. nfs_root, nfs_server sa Dan pointed out they don't really
need to be supported directly it's more a bootloader question.

And further arbitrary options as stated will only be considered on a
case by case basis depending on their genericity and relevenace to 
users needs.

At this point I think we can close this as RAWHIDE, the current state
is very close to the original whish list.

Daniel

Note You need to log in before you can comment on or make changes to this bug.